    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.awt.Adjustable

public interface Adjustable

The interface for objects which have an adjustable numeric value contained within a bounded range of values.

##

HORIZONTAL
  The horizontal orientation.
VERTICAL
  The vertical orientation.

##

addAdjustmentListener(AdjustmentListener)
  Add a listener to recieve adjustment events when the value of the adjustable object changes.
getBlockIncrement()
  Gets the block value increment for the adjustable object.
getMaximum()
  Gets the maximum value of the adjustable object.
getMinimum()
  Gets the minimum value of the adjustable object.
getOrientation()
  Gets the orientation of the adjustable object.
getUnitIncrement()
  Gets the unit value increment for the adjustable object.
getValue()
  Gets the current value of the adjustable object.
getVisibleAmount()
  Gets the length of the propertional indicator.
removeAdjustmentListener(AdjustmentListener)
  Removes an adjustment listener.
setBlockIncrement(int)
  Sets the block value increment for the adjustable object.
setMaximum(int)
  Sets the maximum value of the adjustable object.
setMinimum(int)
  Sets the minimum value of the adjustable object.
setUnitIncrement(int)
  Sets the unit value increment for the adjustable object.
setValue(int)
  Sets the current value of the adjustable object.
setVisibleAmount(int)
  Sets the length of the proportionl indicator of the adjustable object.

##

HORIZONTAL

     public static final int HORIZONTAL

  The horizontal orientation.

VERTICAL

     public static final int VERTICAL

  The vertical orientation.

##

getOrientation

     public abstract int getOrientation()

  Gets the orientation of the adjustable object.

setMinimum

     public abstract void setMinimum(int min)

  Sets the minimum value of the adjustable object.

  Parameters:
    min - the minimum value

getMinimum

     public abstract int getMinimum()

  Gets the minimum value of the adjustable object.

setMaximum

     public abstract void setMaximum(int max)

  Sets the maximum value of the adjustable object.

  Parameters:
    max - the maximum value

getMaximum

     public abstract int getMaximum()

  Gets the maximum value of the adjustable object.

setUnitIncrement

     public abstract void setUnitIncrement(int u)

  Sets the unit value increment for the adjustable object.

  Parameters:
    u - the unit increment

getUnitIncrement

     public abstract int getUnitIncrement()

  Gets the unit value increment for the adjustable object.

setBlockIncrement

     public abstract void setBlockIncrement(int b)

  Sets the block value increment for the adjustable object.

  Parameters:
    b - the block increment

getBlockIncrement

     public abstract int getBlockIncrement()

  Gets the block value increment for the adjustable object.

setVisibleAmount

     public abstract void setVisibleAmount(int v)

  Sets the length of the proportionl indicator of the adjustable object.

  Parameters:
    v - the length of the indicator

getVisibleAmount

     public abstract int getVisibleAmount()

  Gets the length of the propertional indicator.

setValue

     public abstract void setValue(int v)

  Sets the current value of the adjustable object. This value must be within the range defined by the minimum and maximum values for this object.

  Parameters:
    v - the current value

getValue

     public abstract int getValue()

  Gets the current value of the adjustable object.

addAdjustmentListener

     public abstract void addAdjustmentListener(AdjustmentListener l)

  Add a listener to recieve adjustment events when the value of the adjustable object changes.

  Parameters:
    l - the listener to recieve events
  See Also:
    AdjustmentEvent

removeAdjustmentListener

     public abstract void removeAdjustmentListener(AdjustmentListener l)

  Removes an adjustment listener.

  Parameters:
    l - the listener being removed
  See Also:
    AdjustmentEvent

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.